%define upstream_name    Crypt-SaltedHash
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Working with salted hashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The 'Crypt::SaltedHash' module provides an object oriented interface to
create salted (or seeded) hashes of clear text data. The original
formalization of this concept comes from RFC-3112 and is extended by the
use of different digital algorithms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Crypt


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.90.0-9.mga9
+ Revision: 1802715
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-8.mga8
+ Revision: 1493622
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.90.0-7.mga7
+ Revision: 1266810
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-6.mga6
+ Revision: 1024652
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-5.mga6
+ Revision: 945176
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 744619
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 684068
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 530991
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 sander85 <sander85> 0.90.0-1.mga4
+ Revision: 461501
- update to 0.09

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-3.mga3
+ Revision: 364970
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 0.60.0-2.mga2
+ Revision: 111606
- update to 0.06

* Sun Jan 23 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 33715
- remove mdv macros
- mageia rebuild
- imported package perl-Crypt-SaltedHash


* Wed Oct 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 455626
- import perl-Crypt-SaltedHash


* Wed Oct 07 2009 cpan2dist 0.05-1mdv
- initial mdv release, generated with cpan2dist
